Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 623519 - ENOPERM when reading /proc/sys/vm/mmap_min_addr
ENOPERM when reading /proc/sys/vm/mmap_min_addr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
i386 Linux
low Severity medium
: rc
: ---
Assigned To: Eric Paris
Eryu Guan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-11 22:43 EDT by Hiroto Shibuya
Modified: 2011-01-23 21:39 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 583292
Environment:
Last Closed: 2011-01-13 16:09:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Hiroto Shibuya 2010-08-11 22:43:32 EDT
+++ This bug was initially created as a clone of Bug #583292 +++

Description of problem:
Despite the permissions showing global read access, /proc/sys/vm/mmap_min_addr can not be read by normal users.


Version-Release number of selected component (if applicable):
2.6.32.11-99 is where I see the issue
2.6.32.11-90 works fine.

How reproducible:
100%

Steps to Reproduce:
1. Boot using kernel 2.6.32.11-99
2. cat /proc/sys/vm/mmap_min_addr
  
Actual results:
ERROR permission denied

Expected results:
"0" or "4096" or whatever your configuration has.

Additional info:

--- Additional comment from cebbert@redhat.com on 2010-04-21 12:52:51 EDT ---

*** Bug 582810 has been marked as a duplicate of this bug. ***

--- Additional comment from eparis@redhat.com on 2010-05-14 16:00:30 EDT ---

fixed upstream in 2.6.34.  If you need this in an older kernel please reopen this bug and I can backport.
Comment 1 Hiroto Shibuya 2010-08-11 22:47:24 EDT
This appeared in RHEL 5 updates as regression. 

This was not an issue in 2.6.18-164.15, but all kernels after 2.6.18-194.3 exhibit this problem.
Comment 2 Eric Paris 2010-09-27 11:32:23 EDT
Posted to internal list for review.

Backport of upstream patch 4ae69e6b718589abe97c9625ccbb1e0bc95a8c0e
Comment 3 RHEL Product and Program Management 2010-11-08 17:19:30 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Jarod Wilson 2010-11-09 12:12:33 EST
in kernel-2.6.18-231.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 7 Hiroto Shibuya 2010-11-09 12:39:52 EST
Validated:

$ uname -r
2.6.18-231.el5
$ cat /proc/sys/vm/mmap_min_addr
0

Thanks!
Comment 8 Eryu Guan 2010-12-02 01:06:24 EST
Reproduced on -194 kernel
[test@nec-em9 ~]$ uname -a
Linux nec-em9.rhts.eng.bos.redhat.com 2.6.18-194.el5 #1 SMP Tue Mar 16 21:52:39 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux
[test@nec-em9 ~]$ id
uid=500(test) gid=500(test) groups=500(test) context=root:system_r:unconfined_t:SystemLow-SystemHigh
[test@nec-em9 ~]$ cat /proc/sys/vm/mmap_min_addr
cat: /proc/sys/vm/mmap_min_addr: Operation not permitted
[test@nec-em9 ~]$

Verified on -233 kernel
[test@nec-em9 ~]$ uname -a
Linux nec-em9.rhts.eng.bos.redhat.com 2.6.18-233.el5 #1 SMP Mon Nov 22 17:45:30 EST 2010 x86_64 x86_64 x86_64 GNU/Linux
[test@nec-em9 ~]$ id
uid=500(test) gid=500(test) groups=500(test) context=root:system_r:unconfined_t:SystemLow-SystemHigh
[test@nec-em9 ~]$ cat /proc/sys/vm/mmap_min_addr
4096
[test@nec-em9 ~]$
Comment 10 errata-xmlrpc 2011-01-13 16:09:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.